; 
;
; NET CLASS
;
; 


IFNDEF SSN_NET_CLID

		SSN_NET_CLID		EQU __SSN_NET_CLID

; Extern symbols


; Module symbols

NET_CLASS	STRUCT	; NET class structure

				MDL_CLASS <>			; inheritance
; Private properties
		moduleTable		dd ?			; table of modules' metadata (for administration)
		moduleCount		dd ?			; number of modules in moduleTable 
		liveModuleTable		dd ?			; list of live modules (processing signal)
		liveModuleCount		dd ?			; number of live modules
		fDumyOutput		SAMPLE ?		; output for module inputs not connected (default value)
		dwLastRefModule		dd ?			; last referenced module (list index)
; Public properties
		szCreator		db 16 dup (0)		; name of creator - string
		szDate			db 12 dup (0)		; date in 'yyyy.mm.dd' format - string			

; Virtual functions
		NET_constructor		PROTO CONSTRUCTOR
		NET_destructor		PROTO DESTRUCTOR
		NET_build		PROTO BUILD
		NET_buildFromXML	PROTO BUILDFROMXML
		NET_export		PROTO EXPORT
		NET_exportToXML		PROTO EXPORTTOXML
		NET_connect		PROTO CONNECT
		NET_disconnect		PROTO DISCONNECT
		NET_enumInput		PROTO GETINPUT
		NET_enumOutput		PROTO GETOUTPUT
		NET_info		PROTO INFO
		NET_reset		PROTO
		NET_run			PROTO

; Methods
		NET_getDumyOutput	PROTO
		NET_getCreator		PROTO lpszCreator:DWORD
		NET_setCreator		PROTO lpszCreator:DWORD
		NET_getDate		PROTO lpszDate:DWORD
		NET_setDate		PROTO lpszDate:DWORD
		NET_newMdl		PROTO dwCode:DWORD
		NET_freeMdl		PROTO lpMdl:DWORD
		NET_getMdlByID		PROTO dwID:DWORD
		NET_getMdlByAddr	PROTO lpMdl:DWORD
		NET_getMdlByType	PROTO dwCode:DWORD,dwCount:DWORD
		NET_buildLiveNet	PROTO lpRootMdl:DWORD
NET_CLASS	ENDS

ENDIF