.data
	freqTable	real4 261.626	; C
			real4 277.183	; C#
			real4 293.665	; D
			real4 311.127	; D#
			real4 329.628	; E
			real4 349.228	; F
			real4 369.994	; F#
			real4 391.995	; G
			real4 415.305	; G#
			real4 440.000	; A
			real4 466.164	; A#
			real4 493.883	; H

	lpFreqTable	dd ?

	bpm		POT <120.0,60.0,180.0,0.5,2>
	start		POT <0.0,0.0,1.0,1.0,1>
	_c60		CNST <<0.0,NULL>,0>
	_1		ADD2 <0.0,offset clock.fre,<offset bpm.fValue,0.0>,<offset _c60.fValue,0.0>>
	clock		OSC <0.0, offset oscImp, 0.0, 0, <offset start,0.0>, <offset _1.fValue,0.0>, <offset start.fValue,0.0>, <NULL,0.0>, 0, <0.0,0.0,0.0,0.0,0>, WF_IMP, 0, 0, OSC_ON, 0, NULL>
	osc1		OSC <0.0, offset oscPSaw, 0.0, 0, <NULL,0.0>, <offset freq1,0.0>, <offset amp1,0.0>, <offset psw1,0.0>, 0, <100.0, -5000.0, 5000.0, 50.0, 2>, WF_PSAW,R_NONE,R_FRE,OSC_ON,0,NULL>

.code
freqTableCreate		PROC USES esi edi

			invoke GlobalAlloc,GPTR,8*11*size real4		; space for 8 octaves
			mov	lpFreqTable,eax
			mov	esi,eax

			mov	edi,offset freqTable
			mov	ecx,8
		@@:
			fld	REAL4 PTR [edi]
			fld	st
			fdiv	f2
			fst	REAL4 PTR [esi+1*12*size real4]
			fdiv	f2
			fstp	REAL4 PTR [esi]
			fst	REAL4 PTR [esi]
			fmul	f2
			fst	REAL4 PTR [esi+2*12*size real4]
			fmul	f2
			fst	REAL4 PTR [esi+3*12*size real4]
			fmul	f2
			fst	REAL4 PTR [esi+4*12*size real4]
			fmul	f2
			fst	REAL4 PTR [esi+5*12*size real4]
			fmul	f2
			fst	REAL4 PTR [esi+6*12*size real4]
			fmul	f2
			fstp	REAL4 PTR [esi+7*12*size real4]

			add	esi,size real4
			add	edi,size real4
			sub	ecx,1
			jnz @B

			ret

freqTableCreate		ENDP